Package io.vertx.rxjava3.sqlclient

## Class PropertyKind<T>

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.PropertyKind<T>

-     public class PropertyKind<T>
      extends Object

  The kind of the property, this can be used to fetch some specific property of the `execution result`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PropertyKind>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyKind​(PropertyKind delegate)` |
    `PropertyKind​(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> PropertyKind<T>` | `create​(String name, Class<T> type)` |
    `boolean` | `equals​(Object o)` |
    `PropertyKind` | `getDelegate()` |
    `int` | `hashCode()` |
    `String` | `name()` |
    `static <T> PropertyKind<T>` | `newInstance​(PropertyKind arg)` |
    `static <T> PropertyKind<T>` | `newInstance​(PropertyKind arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PropertyKind> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### PropertyKind

          public PropertyKind​(PropertyKind delegate)

    - #### PropertyKind

          public PropertyKind​(Object delegate,
                              io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PropertyKind getDelegate()

    - #### create

          public static <T> PropertyKind<T> create​(String name,
                                                   Class<T> type)

      Parameters:
        `name` -
        `type` -
      Returns:
        a property kind matching the provided `name`, the `type` can be used to check the property value type or cast it to the expected type

    - #### name

          public String name()

      Returns:
        the property name

    - #### newInstance

          public static <T> PropertyKind<T> newInstance​(PropertyKind arg)

    - #### newInstance

          public static <T> PropertyKind<T> newInstance​(PropertyKind arg,
                                                        io.vertx.lang.rx.TypeArg<T> __typeArg_T)